# RPM specfile for libglade2 module
# Generated Tue Oct 29 08:37:49 2002 GMT by Ximian build system
# $Id: bb_do,v 1.190 2002/07/15 15:56:59 thunder Exp $
# from $Id: ximian-build.conf,v 1.12 2002/06/17 21:08:14 jacob Exp $

%define nam	libglade2
%define ver	2.0.1.0.200210290744
%define ximrev	1

Name:     	libglade2
Version: 	2.0.1.0.200210290744
Release:	0.snap.ximian.1
Vendor:		Ximian, Inc.
Distribution:	Ximian GNOME for Red Hat Linux 7.2 / i386
Copyright:	LGPL
BuildRoot:	/var/tmp/%{nam}-%{ver}-root
Docdir:         /usr/share/doc

URL:		http://www.gnome.org/
Source0:	libglade-2.0.1.tar.gz
Summary:	GTK/GNOME UI building library
Group:		System Environment/Libraries
Requires:	gtk2
Requires:	libxml2
Provides:	ximian-libglade2 = %{?epoch:%{epoch}:}%{version}-%{?ximrev:%{ximrev}}%{!?ximrev:%{release}}

%description
This library allows you to load user interfaces in your program, which are
stored externally.  This allows alteration of the interface without
recompilation of the program.

%files
%defattr(-, root, root)
%doc AUTHORS COPYING COPYING.LIB ChangeLog NEWS README
/usr/lib/lib*.so.*


%post
ldconfig

%postun
ldconfig

%package -n libglade2-devel
Summary:	libglade2 development files
Group:		Development/Libraries
Requires:	%{nam} = %{PACKAGE_VERSION}
Requires:	gtk2-devel
Requires:	python2
Requires:	libxml2-devel
Provides:	ximian-libglade2-devel = %{?epoch:%{epoch}:}%{version}-%{?ximrev:%{ximrev}}%{!?ximrev:%{release}}

%description -n libglade2-devel
Static libraries and header files for the libglade2 library.

%files -n libglade2-devel
%defattr(-, root, root)
/usr/bin/libglade-convert
/usr/lib/lib*.so
/usr/lib/pkgconfig/*.pc
/usr/include/libglade-2.0
/usr/share/gtk-doc/html/*


# $RPM_COMMAND is an environment variable used by the Ximian build
# system to control the build process with finer granularity than RPM
# normally allows.  This specfile will function as expected by RPM if
# $RPM_COMMAND is unset.  If you are not the Ximian build system,
# feel free to ignore it.

%prep
case "${RPM_COMMAND:-all}" in
dist)
%setup  -q -D -n libglade-2.0.1
    ;;
all)
%setup  -q -n libglade-2.0.1
    ;;
esac

%build
MAKE=${MAKE:-make}
RPM_COMMAND=${RPM_COMMAND:-all}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
ARCH=%{_target_platform}
export MAKE RPM_COMMAND DESTDIR ARCH
case "$RPM_COMMAND" in
prepare|all)
    ./configure --prefix=/usr --sysconfdir=/etc --mandir=/usr/share/man --infodir=/usr/share/info --localstatedir=/var --enable-gtk-doc --disable-static; make
    ;;
esac
case "$RPM_COMMAND" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac
case "$RPM_COMMAND" in
build|all)
    ${MAKE}
    ;;
esac

%install
MAKE=${MAKE:-make}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
# export DESTDIR
case "${RPM_COMMAND:-all}" in
install|all)
    ${MAKE} install prefix=${DESTDIR}/usr sysconfdir=${DESTDIR}/etc mandir=${DESTDIR}/usr/share/man infodir=${DESTDIR}/usr/share/info localstatedir=${DESTDIR}/var
    ;;
esac

%clean
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
export DESTDIR
case "${RPM_COMMAND:-all}" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac


%changelog
* Tue Oct 29 2002 Ximian, Inc.

- Version: 2.0.1.0.200210290744-0.snap.ximian.1
- Summary: New build.
- New automated build.

